Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class InvalidableEntityInstanceCache

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInstanceCache
          org.jboss.ejb.plugins.EntityInstanceCache
              org.jboss.ejb.plugins.InvalidableEntityInstanceCache

All Implemented Interfaces:
  AbstractInstanceCacheMBean, AllowedOperationsFlags, ContainerPlugin, EntityCache, EntityInstanceCacheMBean, InstanceCache, Invalidatable, MetricsConstants, Monitorable, org.jboss.system.Service, XmlLoadable

public class InvalidableEntityInstanceCache
extends EntityInstanceCache
implements Invalidatable

Cache implementation that registers with an InvalidationManager when in commit option A or D. Information is found in the EB meta-data (IM name, IG name and commit-option)

Version:
  $Revision: 1.3.6.1 $
Author:
  Sacha Labourey.
See Also:
  `InvalidationManagerMBean`, `EntityBeanCacheBatchInvalidatorInterceptor`

Field Summary
`protected InvalidationGroup` | `ig`
`protected InvalidationManagerMBean` | `invalMgr`
`protected boolean` | `isTraceEnabled`

Fields inherited from class org.jboss.ejb.plugins.AbstractInstanceCache
`log`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Fields inherited from interface org.jboss.monitor.MetricsConstants
`ACTIVITY, APPLICATION, BEAN, BEANCACHE_METRICS, CHECKPOINT, INVOCATION_METRICS, MEMORY_MONITOR, METHOD, PRIMARY_KEY, SYSTEM_METRICS, THREAD_MONITOR, TIME, TYPE`

Constructor Summary
`InvalidableEntityInstanceCache()`

Method Summary
`void` | `areInvalid(Serializable[] keys)` Indicates that the resources with the give keys should be invalidated (i.e.
`protected void` | `doInvalidate(Serializable key)`
`void` | `invalidateAll()` All entries should be invalidated.
`void` | `isInvalid(Serializable key)` Indicates that the resource with the given key should be invalidated (i.e.
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.ejb.plugins.EntityInstanceCache
`acquireContext, activate, canPassivate, createCacheKey, destroy, freeContext, get, getContainer, getKey, passivate, remove, setContainer, setKey`

Methods inherited from class org.jboss.ejb.plugins.AbstractInstanceCache
`create, doActivate, flush, getCache, getCacheLock, getCachePolicyString, getCacheSize, getPassivatedCount, importXml, insert, isActive, logActivation, logPassivation, release, remove, resetStatistic, retrieveStatistic, sample, tryToPassivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.ejb.InstanceCache
`flush, getCacheSize, insert, isActive, release, remove`

Methods inherited from interface org.jboss.system.Service
`create`

Methods inherited from interface org.jboss.ejb.plugins.AbstractInstanceCacheMBean
`flush, getCachePolicyString, getCacheSize, getPassivatedCount, remove`

Field Detail

### invalMgr

    protected InvalidationManagerMBean invalMgr

### ig

    protected InvalidationGroup ig

### isTraceEnabled

    protected boolean isTraceEnabled

Constructor Detail

### InvalidableEntityInstanceCache

    public InvalidableEntityInstanceCache()

Method Detail

### areInvalid

    public void areInvalid(Serializable[] keys)

  Description copied from interface: `Invalidatable`
  Indicates that the resources with the give keys should be invalidated (i.e. removed from cache)

  Specified by:
    `areInvalid` in interface `Invalidatable`
  Parameters:
    `keys` - Keys of the resources to be invalidated

### isInvalid

    public void isInvalid(Serializable key)

  Description copied from interface: `Invalidatable`
  Indicates that the resource with the given key should be invalidated (i.e. removed from cache)

  Specified by:
    `isInvalid` in interface `Invalidatable`
  Parameters:
    `key` - Key of the resource to be invalidated

### invalidateAll

    public void invalidateAll()

  Description copied from interface: `Invalidatable`
  All entries should be invalidated.

  Specified by:
    `invalidateAll` in interface `Invalidatable`

### start

    public void start()
               throws Exception

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Overrides:
    `start` in class `AbstractInstanceCache`
  Throws:
    `Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.jboss.system.Service`
  Overrides:
    `stop` in class `AbstractInstanceCache`

### doInvalidate

    protected void doInvalidate(Serializable key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.